O apt-get autoremove ta recomendado os app do sistema que estão sendo usados [RESOLVIDO]

1. O apt-get autoremove ta recomendado os app do sistema que estão sendo usados [RESOLVIDO]

Lucas Fernando
lucasfernandodev

(usa Debian)

Enviado em 23/11/2020 - 12:43h

O APT do debian está recomendando que eu desinstale os programas abaixo usando o auto remove, o problema é que esses programas tão sendo usando e fazem parte do xfce. Já aconteceu isso antes e sem perceber eu desistalei o network-manager, queria saber como posso remover essa mensagem, toda vez que dou um apt-get upgrade ou vou instalar algo ela aparece.

Os seguintes pacotes foram instalados automaticamente e já não são necessários:
gir1.2-notify-0.7 gir1.2-vte-2.91 libc-ares2 libqrencode4 libqt5opengl5
libqt5printsupport5 libunique-1.0-0 libuv1 libxnvctrl0 nodejs-doc ristretto
xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin xfce4-cpufreq-plugin
xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict xfce4-diskperf-plugin
xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-mailwatch-plugin
xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-places-plugin
xfce4-screenshooter xfce4-sensors-plugin xfce4-smartbookmark-plugin
xfce4-systemload-plugin xfce4-taskmanager xfce4-timer-plugin
xfce4-verve-plugin xfce4-wavelan-plugin xfce4-weather-plugin
xfce4-xkb-plugin
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.



  


2. MELHOR RESPOSTA

Ryuk Shinigami
Ryuk

(usa Nenhuma)

Enviado em 23/11/2020 - 18:03h

Para remover a sugestão do "autoremove" use o apt-mark:
sudo apt-mark manual gir1.2-notify-0.7 gir1.2-vte-2.91 libc-ares2 libqrencode4 libqt5opengl5 libqt5printsupport5 libunique-1.0-0 libuv1 libxnvctrl0 nodejs-doc ristretto xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin xfce4-cpufreq-plugin xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict xfce4-diskperf-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-mailwatch-plugin xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-places-plugin xfce4-screenshooter xfce4-sensors-plugin xfce4-smartbookmark-plugin xfce4-systemload-plugin xfce4-taskmanager xfce4-timer-plugin xfce4-verve-plugin xfce4-wavelan-plugin xfce4-weather-plugin xfce4-xkb-plugin 



3. Re: O apt-get autoremove ta recomendado os app do sistema que estão sendo usados [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 23/11/2020 - 13:15h

Não sei o que vc instalou ou removeu mas aqui eu não tive problemas ao rodar autoremove recomendado pelo terminal após ter rodado update e upgrade




4. Re: O apt-get autoremove ta recomendado os app do sistema que estão sendo usados [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 23/11/2020 - 15:53h

Se o pacote está ou não em uso vc pode usar
apt-cache rdepends --installed gir1.2-notify-0.7
Eu tb nunca fui incorretamente informado pelo apt, mas é bom ficar atento em relação à versão do pacote


5. Re: O apt-get autoremove ta recomendado os app do sistema que estão sendo usados [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 23/11/2020 - 18:16h


Além das sugestões acima existe o aptitude keep-all , informe-se sobre ele.


6. O apt-get autoremove ta recomendado os app do sistema que estão sendo usados

Lucas Fernando
lucasfernandodev

(usa Debian)

Enviado em 23/11/2020 - 19:14h

Obrigado, o apt-mark ajudou e consegui eliminar as mensagens






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts